WebRequestDelegatingRequestContext (Grails 5.2.3)

Package: org.grails.web.servlet

## [Java] Class WebRequestDelegatingRequestContext

- org.grails.web.servlet.WebRequestDelegatingRequestContext

- All Implemented Interfaces and Traits:
    GrailsRequestContext

      public class WebRequestDelegatingRequestContext
      extends java.lang.Object
      implements GrailsRequestContext

  Delegates calls to a passed GrailsWebRequest instance.

  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WebRequestDelegatingRequestContext ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getActionName()`
    `` | `public org.springframework.context.ApplicationContext` | `getApplicationContext()`
    `` | `public java.lang.String` | `getControllerName()`
    `` | `public java.io.Writer` | `getOut()`
    `` | `public java.util.Map` | `getParams()`
    `` | `public javax.servlet.http.HttpServletRequest` | `getRequest()`
    `` | `public java.lang.String` | `getRequestURI()`
    `` | `public javax.servlet.http.HttpServletResponse` | `getResponse()`
    `` | `public javax.servlet.ServletContext` | `getServletContext()`
    `` | `public javax.servlet.http.HttpSession` | `getSession()`
    `` | `public GrailsWebRequest` | `getWebRequest()` Retrieves the webRequest object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public WebRequestDelegatingRequestContext()

  - ### Method Detail

    - #### public java.lang.String getActionName()

    - #### public org.springframework.context.ApplicationContext getApplicationContext()

    - #### public java.lang.String getControllerName()

    - #### public java.io.Writer getOut()

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getParams()

    - #### public javax.servlet.http.HttpServletRequest getRequest()

    - #### public java.lang.String getRequestURI()

    - #### public javax.servlet.http.HttpServletResponse getResponse()

    - #### public javax.servlet.ServletContext getServletContext()

    - #### public javax.servlet.http.HttpSession getSession()

    - #### public GrailsWebRequest getWebRequest()

      Retrieves the webRequest object.

      Returns:
        The webrequest object